petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatGetColumnIJ

Returns the compressed column storage i and j indices for sequential matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetColumnIJ(Mat mat,PetscInt shift,PetscBool symmetric,PetscBool inodecompressed,PetscInt *n,const PetscInt *ia[],const PetscInt *ja[],PetscBool  *done)

Collective on Mat

### Input Parameters

| mat | - the matrix
| shift | - 1 or zero indicating we want the indices starting at 0 or 1
| symmetric | - PETSC_TRUE or PETSC_FALSE indicating the matrix data structure should be symmetrized
| inodecompressed | - PETSC_TRUE or PETSC_FALSE indicating if the nonzero structure of the inodes or the nonzero elements is wanted. For BAIJ matrices the compressed version is always used.
| n | - number of columns in the (possibly compressed) matrix
| ia | - the column pointers; that is ia[0] = 0, ia[col] = i[col-1] + number of elements in that col of the matrix
| ja | - the row indices

### Output Parameters

done -PETSC_TRUE or PETSC_FALSE, indicating whether the values have been returned

### See Also

MatGetRowIJ(), MatRestoreColumnIJ()

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatGetColumnIJ_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatGetColumnIJ_SeqAIJ_Color in src/mat/impls/aij/seq/aij.c
MatGetColumnIJ_SeqAIJ_Inode_Nonsymmetric in src/mat/impls/aij/seq/inode.c
MatGetColumnIJ_SeqAIJ_Inode in src/mat/impls/aij/seq/inode.c
MatGetColumnIJ_SeqBAIJ in src/mat/impls/baij/seq/baij.c
MatGetColumnIJ_SeqBAIJ_Color in src/mat/impls/baij/seq/baij.c
MatGetColumnIJ_SeqSELL_Color in src/mat/impls/sell/seq/fdsell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages